function _inheritsLoose(subClass, superClass) { subClass.prototype = Object.create(superClass.prototype); subClass.prototype.constructor = subClass; subClass.__proto__ = superClass; }

import React from 'react';
import PropTypes from 'prop-types';
/**
 * Topbar Right
 * @param props
 */

var TopbarRight =
/*#__PURE__*/
function (_React$PureComponent) {
  _inheritsLoose(TopbarRight, _React$PureComponent);

  function TopbarRight() {
    return _React$PureComponent.apply(this, arguments) || this;
  }

  var _proto = TopbarRight.prototype;

  _proto.render = function render() {
    var _this$props = this.props,
        className = _this$props.className,
        children = _this$props.children;
    return React.createElement("div", {
      className: "cui-top-bar__right" + ("" + (className && " " + className || ''))
    }, children);
  };

  return TopbarRight;
}(React.PureComponent);

TopbarRight.propTypes = {
  /** @prop Children node to render inside of TopbarRight | null */
  children: PropTypes.node,

  /** @prop Optional CSS class string | '' */
  className: PropTypes.string
};
TopbarRight.defaultProps = {
  children: null,
  className: ''
};
TopbarRight.displayName = 'TopbarRight';
export default TopbarRight;